.vision-ribbon {
    height: 58px;
    display: flex;
    align-items: center;
    background: #e7b8c8;
    overflow: hidden;
}

.vision-label,
.vision-end {
    position: relative;
    height: 38px;
    background: #fff6ea;

    display: flex;
    align-items: center;
    gap: 12px;

    padding: 0 26px;
    flex-shrink: 0;
}

.vision-label {
    margin-left: 64px;
    border-radius: 8px 0 0 8px;
}

.vision-end {
    margin-right: 64px;
    border-radius: 0 8px 8px 0;
}

/* หยัก/เว้าด้านขวาของกล่องซ้าย */
.vision-label::after {
    /* background:
    radial-gradient(circle at top left, transparent 10px, #e7b8c8 0) top left,
    radial-gradient(circle at top right, transparent 10px, #e7b8c8 0) top right,
    radial-gradient(circle at bottom left, transparent 10px, #e7b8c8 0) bottom
      left,
    radial-gradient(circle at bottom right, transparent 10px, #e7b8c8 0) bottom
      right;
  background-size: 50% 50%;
  background-repeat: no-repeat; */

    /* content: "";
  position: absolute;
  right: -14px;
  top: 0;

  width: 28px;
  height: 100%;

  background: #fff6ea;

  clip-path: polygon(0 0, 70% 0, 100% 20%, 85% 50%, 100% 80%, 70% 100%, 0 100%); */
}

/* หยัก/เว้าด้านซ้ายของกล่องขวา */
.vision-end::before {
    /* content: "";
  position: absolute;
  left: -14px;
  top: 0;

  width: 28px;
  height: 100%;

  background: #fff6ea;

  clip-path: polygon(30% 0, 100% 0, 100% 100%, 30% 100%, 0 80%, 15% 50%, 0 20%); */
}

.vision-label img,
.vision-end img {
    width: 18px;
    height: 18px;
    object-fit: contain;
}

.vision-label span {
    color: var(--text-pink);
    font-weight: 400;
    font-size: 16px;
}

.vision-marquee {
    flex: 1;
    height: 38px;

    display: flex;
    align-items: center;

    background: #fff6ea;
    overflow: hidden;

    position: relative;
}

.vision-track {
    display: flex;
    width: max-content;
    animation: visionMarquee 30s linear infinite;
}

.vision-label span {
    color: var(--text-pink);
    font-weight: 600;
    font-size: 16px;
}

.vision-track span {
    white-space: nowrap;
    padding-right: 80px;

    color: var(--text-main);
    font-size: 14px;
    font-weight: 400;
}

@keyframes visionMarquee {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(-100%);
    }
}
